注册账号登录
关注

api.xiaoduyu.com vents.js:174 throw er; // Unhandled 'error' event

小度鱼问题反馈创建于2019/12/2996次阅读
启动 api.xiaoduyu.com  的时候报错。 谷歌说 修改 "react-scripts": "2.1.8" 版本。试了也不行。运行成功的大佬怎么弄得。
-----------------------------------------------------------环境版本-------------
mac
node -v
v10.16.0
npm -v
6.9.0
-----------------------------------------------------------错误信息-------------
npm run dev

> xiaoduyu-api@2.4.0 dev /Users/jay/tools/work/github/car/api.xiaoduyu.com
> cross-env NODE_ENV=development supervisor node ./dist/src/index.js

events.js:174
      throw er; // Unhandled 'error' event
      ^

Error: spawn supervisor ENOENT
    at Process.ChildProcess._handle.onexit (internal/child_process.js:240:19)
    at onErrorNT (internal/child_process.js:415:16)
    at process._tickCallback (internal/process/next_tick.js:63:19)
    at Function.Module.runMain (internal/modules/cjs/loader.js:832:11)
    at startup (internal/bootstrap/node.js:283:19)
    at bootstrapNodeJSCore (internal/bootstrap/node.js:622:3)
Emitted 'error' event at:
    at Process.ChildProcess._handle.onexit (internal/child_process.js:246:12)
    at onErrorNT (internal/child_process.js:415:16)
    [... lines matching original stack trace ...]
    at bootstrapNodeJSCore (internal/bootstrap/node.js:622:3)
npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! xiaoduyu-api@2.4.0 dev: `cross-env NODE_ENV=development supervisor node ./dist/src/index.js`
npm ERR! Exit status 1
npm ERR! 
npm ERR! Failed at the xiaoduyu-api@2.4.0 dev script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:

1条评论 / 1条回复
需要安装一下supervisor
npm install supervisor -g
回复
可以了 谢谢
2019/12/29
回复
docket
关注私信
0
关注
1
粉丝
5
帖子